<?xml version="1.0" encoding="utf-8" ?>
 <DUMMY>
 	<!-- params -->
	<TEMPLATE id="TPL_CONST_VALUE_PARAM" value="0">
		<PARAM id="$id$" min="$value$" default="$value$" max="$value$"/>
	</TEMPLATE>

	<TPL_CONST_VALUE_PARAM id="zero_value" value="0"/>
	<TPL_CONST_VALUE_PARAM id="one_value" value="1"/>
	<TPL_CONST_VALUE_PARAM id="two_value" value="2"/>
	<TPL_CONST_VALUE_PARAM id="four_value" value="4"/>

	<PARAM_LINK from="one_value" to="y_zoom" enabled="false" id="one_zoom_link"/>
	<PARAM_LINK from="two_value" to="y_zoom" enabled="false" id="two_zoom_link"/>
	<PARAM_LINK from="four_value" to="y_zoom" enabled="false" id="four_zoom_link"/>
	
	<!-- low & high mode links-->
	<PARAM_LINK from="$low_mode$" to="low_gain_control.enabled" reverse="true"/>
	<PARAM_LINK from="$high_mode$" to="high_gain_control.enabled" reverse="true"/> 

	<!-- EQ control links -->
	<PARAM_MULTI_LINK id="flat_link" from="zero_value" to="$pre_gain$;$low_gain$;$high_gain$;$band1_gain$;$band2_gain$;$band3_gain$;$band4_gain$;$band5_gain$;$post_gain$" enabled="false"/>
	<PARAM_MULTI_LINK id="all_off_link" from="zero_value" to="$low_on$;$high_on$;$band1_on$;$band2_on$;$band3_on$;$band4_on$;$band5_on$" enabled="false"/>
	<PARAM_MULTI_LINK id="all_on_link" from="one_value" to="$low_on$;$high_on$;$band1_on$;$band2_on$;$band3_on$;$band4_on$;$band5_on$" enabled="false"/>
	
  <!-- x/y mouse parameters -->
	<PARAM id="x_freq" min="20" max="22000" default="20" name="x" unit="Hz" />
	<PARAM id="y_gain" min="-40" max="40" default="0" name="y" unit="dB" />
  		 
   <!-- zoom-->
   <PARAM id="y_zoom" min="1" default="2" max="4" unit="x" name="zoom" persistent="true"/>
   <PARAM_MULTI_LINK from="y_zoom" to="pre.zoom;post.zoom;low_gain_control.zoom;high_gain_control.zoom;mid_gain1_control.zoom;mid_gain2_control.zoom;mid_gain3_control.zoom;mid_gain4_control.zoom;mid_gain5_control.zoom"/>
  
   
   <!-- Parameters to handle the on/off button for each band and the "auto gain" feature -->
   <PARAM id="lowest_value" default="0" min="0" max="0"/>

   <!-- for each band, conditional link to lowest value or the real value depending on the on/off parameter state -->
   <DEFINE>
	 <CUS_GAIN_PARAM base_type="PARAM" default="0" min="-40" max="40"/>
   </DEFINE>

   <CUS_GAIN_PARAM id="low_max"/>
   <PARAM_LINK from="lowest_value" to="low_max" enabled="true" id="lowest_to_low_max"/>
   <PARAM_LINK from="$low_gain$" to="low_max" enabled="false" id="value_to_low_max"/>
   <PARAM_LINK from="$low_on$" to="lowest_to_low_max.enabled" enabled="true" reverse="true"/>
   <PARAM_LINK from="$low_on$" to="value_to_low_max.enabled" enabled="true"/>

	 <CUS_GAIN_PARAM id="mid1_max"/>	
	 <PARAM_LINK from="lowest_value" to="mid1_max" enabled="true" id="lowest_to_mid1_max"/>
	 <PARAM_LINK from="$band1_gain$" to="mid1_max" enabled="false" id="value_to_mid1_max"/>
	 <PARAM_LINK from="$band1_on$" to="lowest_to_mid1_max.enabled" enabled="true" reverse="true"/>
	 <PARAM_LINK from="$band1_on$" to="value_to_mid1_max.enabled" enabled="true"/>
	 
	 <CUS_GAIN_PARAM id="mid2_max"/>	
	 <PARAM_LINK from="lowest_value" to="mid2_max" enabled="true" id="lowest_to_mid2_max"/>
	 <PARAM_LINK from="$band2_gain$" to="mid2_max" enabled="false" id="value_to_mid2_max"/>
	 <PARAM_LINK from="$band2_on$" to="lowest_to_mid2_max.enabled" enabled="true" reverse="true"/>
	 <PARAM_LINK from="$band2_on$" to="value_to_mid2_max.enabled" enabled="true"/>
	 
	 <CUS_GAIN_PARAM id="mid3_max"/>	
	 <PARAM_LINK from="lowest_value" to="mid3_max" enabled="true" id="lowest_to_mid3_max"/>
	 <PARAM_LINK from="$band3_gain$" to="mid3_max" enabled="false" id="value_to_mid3_max"/>
	 <PARAM_LINK from="$band3_on$" to="lowest_to_mid3_max.enabled" enabled="true" reverse="true"/>
	 <PARAM_LINK from="$band3_on$" to="value_to_mid3_max.enabled" enabled="true"/>
	 
	 <CUS_GAIN_PARAM id="mid4_max"/>	
	 <PARAM_LINK from="lowest_value" to="mid4_max" enabled="true" id="lowest_to_mid4_max"/>
	 <PARAM_LINK from="$band4_gain$" to="mid4_max" enabled="false" id="value_to_mid4_max"/>
	 <PARAM_LINK from="$band4_on$" to="lowest_to_mid4_max.enabled" enabled="true" reverse="true"/>
	 <PARAM_LINK from="$band4_on$" to="value_to_mid4_max.enabled" enabled="true"/>
	 
	 <CUS_GAIN_PARAM id="mid5_max"/>	
	 <PARAM_LINK from="lowest_value" to="mid5_max" enabled="true" id="lowest_to_mid5_max"/>
	 <PARAM_LINK from="$band5_gain$" to="mid5_max" enabled="false" id="value_to_mid5_max"/>
	 <PARAM_LINK from="$band5_on$" to="lowest_to_mid5_max.enabled" enabled="true" reverse="true"/>
	 <PARAM_LINK from="$band5_on$" to="value_to_mid5_max.enabled" enabled="true"/>

   <CUS_GAIN_PARAM id="high_max"/>
   <PARAM_LINK from="lowest_value" to="high_max" enabled="true" id="lowest_to_high_max"/>
   <PARAM_LINK from="$high_gain$" to="high_max" enabled="false" id="value_to_high_max"/>
   <PARAM_LINK from="$high_on$" to="lowest_to_high_max.enabled" enabled="true" reverse="true"/>
   <PARAM_LINK from="$high_on$" to="value_to_high_max.enabled" enabled="true"/>

   <!-- Parameters Links: lower_value is 0 and is used here since we do not want the gain to be increased above 0dB-->
   <PARAM_MULTI_LINK from="low_max;high_max;mid1_max;mid2_max;mid3_max;mid4_max;mid5_max;lowest_value" to="$pre_gain$" mux_function="-max" id="auto_link" enabled="false" />

   <!-- Non linear links -->
   <PARAM_LINK from="$non_linear$" to="comp_dist_control.enabled"/>  
                           
</DUMMY>
